Bug 240976 - [exp-run] print/texinfo: Update to 6.7
Summary: [exp-run] print/texinfo: Update to 6.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-01 18:05 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-10-25 19:13 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-10-03 18:26:49 UTC
texinfo 6.7 changes default encoding to UTF-8. Patch updated.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-10-20 16:10:40 UTC
(In reply to Antoine Brodin from comment #3)

Patch updated with fixes.
Comment 5 Antoine Brodin freebsd_committer 2019-10-25 17:48:45 UTC
Exp-run looks fine.
Comment 6 commit-hook freebsd_committer 2019-10-25 19:09:57 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Oct 25 19:09:21 UTC 2019
New revision: 515633
URL: https://svnweb.freebsd.org/changeset/ports/515633

Log:
  Update to 6.7

  - Update texinfo.tex

  Changes:	https://git.savannah.gnu.org/cgit/texinfo.git/plain/NEWS
  		https://lists.gnu.org/archive/html/bug-texinfo/2019-09/msg00018.html
  		https://git.savannah.gnu.org/cgit/texinfo.git/log/doc/texinfo.tex
  PR:		240976
  Exp-run by:	antoine

Changes:
  head/print/texinfo/Makefile
  head/print/texinfo/distinfo
  head/print/texinfo/pkg-plist
Comment 7 commit-hook freebsd_committer 2019-10-25 19:09:58 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Oct 25 19:09:28 UTC 2019
New revision: 515634
URL: https://svnweb.freebsd.org/changeset/ports/515634

Log:
  Fix build with texinfo 6.7

  PR:		240976
  Exp-run by:	antoine

Changes:
  head/audio/solfege/files/
  head/audio/solfege/files/patch-topdocs-AUTHORS.texi
  head/audio/solfege/files/patch-topdocs-README.texi
  head/devel/allegro/files/patch-docs-src-allegro._tx
  head/devel/m4/files/
  head/devel/m4/files/patch-doc-m4.texi
  head/lang/guile/files/patch-doc-ref-guile.texi
  head/lang/guile/files/patch-doc__goops__goops.texi
  head/math/gri/files/patch-doc_gri.texi
  head/math/maxima/files/patch-interfaces-emacs-imaxima-imaxima.texi
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-10-25 19:13:04 UTC
Committed. Thanks!